2005-05-02  Jens Petersen  <petersen@redhat.com>

	* configure.ac: Version 12.2.

2005-04-22  Jens Petersen  <petersen@redhat.com>

	* sys/RedHat/iiimd: Define NAME for name of server, USER for
	user/group name and SOCKETDIR for unix socket directory and use them.
	Make sure USER owns SOCKETDIR and its contents to prevent iiimd
	not starting if for example root should own the unix domain socket.

2005-04-20  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* src/IIIMP_IMState.cpp
	* src/IIIMP_IMState.hh

	Additional hack to fix the multi-user issue while using
	NS I/O APIs and fix for Solaris compilation problem.

2005-04-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* src/IIIMP_hotkey.cpp

	If hotkeys are registered by LEs, then after forwarding
	the hotkeys to LEs, dealing() function should be called 
	to execute all the pending IML instructions.

2005-04-14  Ervin Yan  <ervin.yan@sun.com

	* IIIMP_hotkey_profile.cpp
        fix one crash problem when switch desktop workspace.

2005-04-13  Jens Petersen  <petersen@redhat.com>

	* sys/RedHat/iiimd (IIIMD): iiimd is in bindir now.

	* configure.ac: Name package iiimf-server, bump version, and update
	project mail address.  Do not call AC_CONFIG_AUX_DIR.
	Call AM_INIT_AUTOMAKE without arguments.

2005-04-13  Akira TAGOH  <tagoh@redhat.com>

	* configure.ac (IIIMLIBDIR): Use IMDIR instead of a hardcoded path.
	(IIIMLEDIR): likewise.

2005-04-10  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* src/IIIMP_IMState.cpp
	* src/IIIMP_IMState.hh
	* src/IIIMP_ICState.cpp
	* src/IIIMProtocol.cpp

	Code cleanup (related to previous check-in)

2005-04-10  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* src/IIIMP_IMState.cpp
	* src/IIIMP_IMState.hh
	* lib/iml/SunIM.c

	Fix to make NS I/O APIs work in multi-user environment. 

2005-03-29  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* src/LEMgr.cpp

	While updating the IMLangList and IMDescriptorList, IMServer
	has to recreate the langlist and imdesclist for LEMgr.

2005-03-28  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* lib/iml/SunIM.c
	* src/IIIMP_ICState.cpp
	* src/IIIMP_ICState.hh
	* src/IIIMP_IMState.cpp

	- Modified Server to use the new protocols (IM_FILE_OPERATION
	  and IM_FILE_OPERATION_REPLY). These two protocols will 
	  replace all the protocols previously added to support the 
	  namespace based I/O related operations.

	- Removed the namespace listener protocol related modifications.

2005-03-25  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* lib/iml/SunIM.c

	The namespace based I/O APIs were returing the wrong return
	value incase of error. This has been fixed.

2005-03-18  Motonobu Ichimura  <famao@openi18n.org>

	* Makefile.am: add ACLOCAL_AMFLAGS

2005-03-17  AShiZaWa KaZuNoRi  <kasha@sun.co.jp>

	* Makefile.am: path name changes.
	* configure.ac: path name changes.
	* iiimd.conf: path name changes.
	* sys/Debian/iiimd: path name changes.
	* sys/JavaDesktopSystem/iiimd: path name changes.
	* sys/RedHat/iiim: path name changes.
	* sys/Solaris/IIim: path name changes.

2005-03-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* lib/iml/SunIM.c
	* src/IIIMP_IMState.cpp

	Modified server to support the Namespace based I/O API equivalents of
	fstat() and ftruncate()

2005-03-11  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* lib/iml/SunIM.c

	- If a particular I/O call is not supported by the NS API,
          then nsc_get_function() will return NULL.

	- Added const keyword for all pathnames/filenames.
	
2005-03-11  Ervin Yan  <ervin.yan@sun.com>

        * src/Makefile.am

	- lib_LTLIBRARIES = libiiimutils.la   --->  noinst_LTLIBRARIES = libiiimutils.la

2005-03-10  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* lib/iml/SunIMSubr.c
	* lib/iml/SunIM.c
	* src/LE.cpp
	* src/IMSvr.hh
	* src/IMSvrCfg.cpp
	* src/IMSvrArg.cpp
	* src/IMSvr.cpp
	* src/LEMgr.cpp
	* src/IMSvrArg.hh
	* src/IMNSMapConf.cpp
	* src/LEMgr.hh
	* src/LE.hh
	* src/IMNSMapConf.hh
	* src/Makefile.am
	* src/IMSvrCfg.hh

	- Changes related to the NS based file I/O API implementation
	- htt_server loads the default namespace mapping configuration 
	  file "ns_map.cfg" located under /etc/iiim/ns_map.cfg 
	- User can override the default configuration file with the
	  following:
		htt_server -ns_map <filename>
	- sample configuration file "ns_map.cfg" is also checked-in

2005-03-01  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * src/IIIMP_IMState.cpp
        * src/IIIMP_hotkey_profile.cpp
        * src/IIIMP_hotkey_profile.hh

	
	If the default conversion key is changed using the 
	command-line option (like, htt_server -conversionkeys 
	"<shift>space"), then this key has to be registered 
	as HOTKEY, instead of registering "<Ctrl>space" all 
	the time.

2005-01-25  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * src/IIIMP_hotkey.cpp

	Fix to avoid crashing of XIM clients (send the correct last_candidate
	value to client while sending LOOKUP_DRAW protocol)

2005-01-24  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * src/IIIMP_hotkey.cpp

	If the incoming event to server is Hotkey and it is registered by LE,
	forward the HOTKEY EVENT itself to LE (the keyevent itself along with
	the Hotkey ID and the Index of KEYEVENT in LISTofKEYEVENT in HOTKEY.

2005-01-21  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * src/IIIMP_IMState.hh
        * src/IIIMP_ICState.cpp

 	If there are multiple clients using UNIT and when one of them is closed and
	focus is moved to other clients, htt_server crashes due to wrong 
	IIIMP_IMState instance used while switching profile from UNIT LE.

2005-01-13  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * lib/iml/SunIM.c
        * src/IIIMP_hotkey_profile.cpp

	- moved switchLEProfile() method as part of iml_hkc 

	- Made changes so that LE's can add the hotkey label while registering
	  Hotkey Profiles.

2005-01-13  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * lib/iml/SunIMConf.c
        * lib/iml/SunIM.c
        * src/LE.cpp
        * src/IIIMP_hotkey_profile.hh
        * src/LEMgr.cpp
        * src/LEMgr.hh
        * src/IIIMP_IMState.cpp
        * src/IIIMP_hotkey_profile.cpp
        * src/LE.hh

	Implementation to handle the profile switching from LE.

2005-01-11  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * src/IIIMP_hotkey.cpp
        * src/IIIMP_hotkey.hh

	Use the index passed through IM_HOTKEY_NOTIFY event to get the correct 
	hotkey, before sending it to LE.

2005-01-10  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * lib/iml/SunIM.c
        * src/IIIMP_IMState.hh
        * src/IMHotkeyPrimitive.hh
        * src/IIIMP_IMState.cpp
        * src/IIIMP_hotkey_profile.cpp

	- Hotkey IDs registered under Hotkey Profile should be
	  unique so that it can identified and sent to respective
	  LEs for processing

	- Temporary sample implementation of switching hotkey 
	  profile from LE using the existing iml_nsc API.
	
2004-12-19  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * lib/iml/SunIM.c
        * src/IIIMP_IMState.cpp

        - Changed filenames/pathnames used in POSIX IO protocols from
	  IIIMP_string to IIIMP_utf8string.

	- Check the validity of receive_message so that server won't
	  crash in case of null message.

	- Added method ns_free() under "struct iml_nsc" (to be used by
	  LEs) to free the namespace context.

2004-12-15  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * lib/iml/SunIMSubr.c
        * lib/iml/SunIM.c
        * src/IIIMP_IMState.cpp

        Changes made to get the errno for NS IO APIs.

2004-12-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * lib/iml/SunIM.c
        * src/IIIMP_IMState.cpp

        More friendly POSIX IO APIs (now returns the exact error value
        so that LEs can handle error conditions)

2004-12-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * lib/iml/SunIM.c
        * src/IIIMP_IMState.cpp

        Implementation of rest of POSIX IO system calls. Protocols added    
        for opendir(), readdir(), closedir(), stat() and lstat()

2004-12-04  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* lib/iml/SunIMConf.c
	* lib/iml/SunIM.c
	* src/IIIMP_IMState.cpp

	- Implementation of next set of POSIX IO system calls. Protocols
          added for mkdir(), rmdir(), lseek(), unlink(), rename(), fcntl(),
          symlink(), creat(), truncate()

        - Fixed compiler warnings

2004-12-01  Makoto Fujiyoshi  <makoto_fujiyshi@justsystem.co.jp>

	* htt.xml.conf:
	modified sample for unix domain.

	* src/IMAuth.cpp:
	dont't call tcp_wrapper, when unix domain uses.

2004-11-24  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* iiimsf/lib/iml/SunIMSubr.c
	* iiimsf/lib/iml/SunIM.c
	* iiimsf/src/LE.cpp
	* iiimsf/src/IMInputContext.hh
	* iiimsf/src/IIIMP_ICState.cpp
	* iiimsf/src/IMConnection.cpp
	* iiimsf/src/IIIMP_ICState.hh
	* iiimsf/src/LEMgr.cpp
	* iiimsf/src/IIIMP_IMState.hh
	* iiimsf/src/IIIMP_hotkey.cpp
	* iiimsf/src/IIIMProtocol.cpp
	* iiimsf/src/LEMgr.hh
	* iiimsf/src/IMInputContext.cpp
	* iiimsf/src/IIIMP_IMState.cpp
	* iiimsf/src/IMConnection.hh
	* iiimsf/src/ICHandler.hh
	* iiimsf/src/IMDesktop.hh
	* iiimsf/src/LE.hh
	* iiimsf/src/IMHandler.hh

        Implementation of POSIX IO API (open, read, write, close) protocol

2004-11-02  Jens Petersen  <petersen@redhat.com>

	* configure.ac: Don't override CFLAGS, CXXFLAGS and LDFLAGS.

2004-10-20  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* iiimsf/src/IIIMP_hotkey.cpp

        The problem of clients crashing (in all LE except 'unitle')
        due to incorrect profile_id is fixed.
        
2004-10-18  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* iiimsf/lib/iml/SunIMConf.c
	* iiimsf/lib/iml/SunIM.c
	* iiimsf/src/LE.cpp
	* iiimsf/src/IIIMP_ICState.cpp
	* iiimsf/src/IMConnection.cpp
	* iiimsf/src/IIIMP_hotkey_profile.hh
	* iiimsf/src/IMBasicObject.cpp
	* iiimsf/src/LEMgr.cpp
	* iiimsf/src/IIIMP_hotkey.cpp
	* iiimsf/src/IMBasicObject.hh
	* iiimsf/src/LEMgr.hh
	* iiimsf/src/IIIMP_IMState.cpp
	* iiimsf/src/IMConnection.hh
	* iiimsf/src/IIIMP_hotkey.hh
	* iiimsf/src/IIIMP_hotkey_profile.cpp
	* iiimsf/src/LE.hh
	* iiimsf/src/IMHandler.hh

        Initial implementation of Registering HOTKEYS from Language Engine.

2004-10-13  Akira TAGOH  <tagoh@redhat.com>

	* configure.ac: check if xmlCtxtReadFile is available to able to build
	on the old environment.
	(SOCKETDIR): define to determine the place of the socket directory.

2004-10-12  Sriram Swaminathan  <sriram.swaminathan@sun.com>
	* lib/iml/SunIMSubr.c
	* lib/iml/SunIM.c
	* lib/iml/IMLSubr.c
	* src/IMInputContext.hh
	* src/IIIMP_ICState.cpp
	* src/IIIMP_ICState.hh
	* src/ICState.hh
	* src/IMInputContext.cpp
	* src/ICState.cpp
	* src/ICHandler.hh
	* src/LE.hh

        - Added support for new protocol IM_READ_NS and IM_READ_NS_REPLY
        - Added new data structure iml_listener as part of iml_desktop
        - Added iml_add_listener() and iml_delete_listener() as part of
          iml_methods which can be used to add/delete listeners (callbacks)
          from LE.

2004-10-04  Akira TAGOH  <tagoh@redhat.com>

	* htt.xml.conf: added.

	* configure.ac: added to check if libxml2 exists.
	(XMLCONFDIR): install the xml configuration file under it.

2004-09-11  Makoto Fujiyoshi    <makoto_fujiyoshi@justsystem.co.jp>
	* lib/iml/SunIM.c
	* src/LE.cpp
	* src/IMInputContext.hh
	* src/IIIMP_ICState.cpp
	* src/IMInputContext.cpp
	* src/ICHandler.hh
	* src/LE.hh:
	Bug fix.
	s->If->m->iml_delete(s) should not be called in if_SendEvent()
	when IM_Event_Type is IM_EventAuxGet.
	Allocated memory with s->If->m->iml_new(s) will be used in
	IIIMP_ICState_REQUESTED::aux_getvalues().

2004-09-03  Makoto Fujiyoshi    <makoto_fujiyoshi@justsystem.co.jp>

	* IIIMP_hotkey.cpp
	initialize IIIMP_hotkey::forward_event in constructor.
	
2004-09-03  Makoto Fujiyoshi    <makoto_fujiyoshi@justsystem.co.jp>

	* IIIMP_hotkey.hh:
	add function prototype to fix build failure.

2004-08-09  Sriram Swaminathan  <sriram.swaminathan@sun.com>

  * IIIMP_ICState.cpp
  * IIIMP_ICState.hh
  * IIIMP_hotkey.cpp
  * IMInputContext.cpp
  * IIIMP_hotkey.hh

  - Partial implementation of language switching on the Server side
    (when using Language Switching Window which is part of HOTKEY)
 
  - Show 'Lang (IM HRN)' pair in the Language Switching Window

2004-07-21  Sriram Swaminathan  <sriram.swaminathan@sun.com>

  * IIIMP_IMState.cpp
  
  When server sends the list of INPUTMETHOD_DESCRIPTOR (as part of
  IM_SETIMVALUES), the problem of sending wrong list of supported
  languages for LEs (that has more than one supported languages)
  is fixed

2004-07-21  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* configure.ac: check for non-posix getpwuid_r and fix build on Solaris

2004-07-12  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* configure.ac : fix build on the systems where openssl-devel 0.9.6 
	is installed without pkgconfig file, openssl.pc.

2004-07-12  Motonobu Ichimura  <famao@openi18n.org>

        * htt.conf:
        add template for TLS support
        * Makefile.am:
        add IMTLS.hh, IMTLS.cpp to htt_server_SOURCES
        * configure.ac
        check OpenSSL library.

2004-06-19  Motonobu Ichimura  <famao@openi18n.org>

	* htt.conf:
	add template for unix domain.

2004-06-17  Sriram Swaminathan  <sriram.swaminathan@sun.com>

  * keysyms.h
  * IIIMP_hotkey.cpp
  * IIIMP_hotkey.hh
  * IMSvr.hh
  * IIIMP_ICState.cpp
  * IMConnection.cpp
  * IMSvrArg.cpp
  * IMSvr.cpp
  * IIIMP_ICState.hh
  * IIIMP_IMState.hh
  * IMUtil.cpp
  * IMBasicObject.hh
  * IMUtil.hh
  * IIIMP_IMState.cpp
  * LE.hh
  * Makefile.am
  * IMSvrCfg.hh

  - Enabled HOTKEY protocol
  - Integrated the patch given by Akira Tagoh to enable the
    command line option to change the CONVERSION KEYS.

2004-03-30  Hidetoshi Tajima  <tajima@SFBay.Sun.COM>

	* sys/JavaDesktopSystem/IIim :
	outputted rc status to the stdout.

2003-06-12  MIYASHITA Hisashi  <himi@li18nux.org>

	* configure.ac (IM_CHECK_SOCKET): Check socket facility.
	(CFLAGS, CXXFLAGS): Corrected the macro name of
	THREAD_CXX_CFLAGS.

2003-05-05  MIYASHITA Hisashi  <himi@li18nux.org>

	* htt.conf: fixed comments.

2003-04-08  MIYASHITA Hisashi  <himi@li18nux.org>

	* sys: New directory for system dependent
	configuration files.

2003-03-26  MIYASHITA Hisashi  <himi@li18nux.org>

	* Makefile.am (datadir): Set it to $(IMDIR).
	(data_DATA): Install htt.conf to the data directory.

2003-03-25  MIYASHITA Hisashi  <himi@li18nux.org>

	* htt.conf: Add comments on "ListenAddress".

2003-01-06  MIYASHITA Hisashi  <himi@li18nux.org>

	* lib/Makefile.am (SUBDIRS): Remove iiimp and EIMIL.

	* configure.ac (AC_OUTPUT): Remove Makefiles for lib/iiimp
	and lib/EIMIL.
	(COMMON_INCLUDE): Add -I$(IM_INCLUDEDIR)/iiimp.

2002-11-07  MIYASHITA Hisashi  <himi@li18nux.org>

	* configure.ac (AC_OUTPUT): Add lib/EIMIL/Makefile.
	* lib/Makefile.am (SUBDIRS): Add EIMIL.
	* lib/Makefile.in (SUBDIRS): Updated.
	* configure.ac (AC_OUTPUT): Add lib/EIMIL/Makefile.
	* configure: Updated.

2002-11-03  MIYASHITA Hisashi  <himi@li18nux.org>

	* configure.ac: Totally rewrote it by using acfiles/*.m4.
	* configure: Updated.
	* Makefile.in: Updated.
	* lib/Makefile.in: Updated.
	* aclocal.m4: Updated.
	* config.h.in: Updated.

2002-10-28  MIYASHITA Hisashi  <himi@li18nux.org>

	* .cvsignore: Ignore `stamp-h1'.

	* lib/Makefile.in: Updated.
	* Makefile.in: Updated.
	* aclocal.m4: Updated.
	* config.h.in: Updated.
	* configure: Updated.
	* configure.ac (AC_CHECK_FUNCS): Add signal.

